<template>
  <Dialog :title="dialogTitle" v-model="dialogVisible" width="80%" class="dailybill-dialog">
    <dailybill :ptDailyBillId="row.id"  />
  </Dialog>
</template>
<script setup lang="ts">
import { PtDailyBillApi, PtDailyBillVO } from '@/api/system/distri/ptdailybill'
import dailybill from '@/views/system/distri/dailybill/index.vue'
/** 平台每日账单统计 表单 */
defineOptions({ name: 'PtDailyBillForm' })

const { t } = useI18n() // 国际化
const message = useMessage() // 消息弹窗

const dialogVisible = ref(false) // 弹窗的是否展示
const dialogTitle = ref('明细项') // 弹窗的标题

const formRef = ref() // 表单 Ref
const row = ref();
// const merchantId = ref(0);
/** 打开弹窗 */
const open = async (event) => {
  // console.log(id)
  dialogVisible.value = true;
  row.value = event;
  // merchantId.value = event.;
  // console.log(row.value)
}
defineExpose({ open }) // 提供 open 方法，用于打开弹窗

</script>